from __future__ import annotations

from typing import List

from srs2std.evaluate.factcheck_strategies.strategy import FactcheckStrategy, Verdict


class FactcheckContext:
    def __init__(self, ground_doc: str, check_sents: List[str]):
        self.doc = ground_doc
        self.claims = check_sents

    def run(self, factcheck_strategy: FactcheckStrategy) -> List[Verdict]:
        return factcheck_strategy.run(self.doc, self.claims)
